.show_pw_btn {
    background-color: var(--_koda---bg_button_inactive) !important;
}

.material-symbols-outlined {
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

.center-flex {
    justify-content: center;
    align-items: center;
    display: flex;
}

.ms-button.ms-is-form {
    border-color: var(--_koda---bg_button);
    background-color: var(--_koda---bg_button);
    border-radius: 2px;
    width: 100%;
    max-width: none;
    font-size: 1em;
}

.ms-button {
    border: 1px solid var(--memberstack-library--ms-main-cta-color);
    background-color: var(--memberstack-library--ms-main-cta-color);
    color: #fff;
    text-align: center;
    letter-spacing: 0.03em;
    border-radius: 8px;
    flex: none;
    grid-template-rows: auto auto;
    grid-template-columns: 1fr 1fr;
    grid-auto-columns: 1fr;
    justify-content: center;
    align-items: center;
    margin-bottom: 15px;
    padding: 13px 16px 11.5px;
    font-size: 1em;
    font-weight: 600;
    line-height: 1.5;
    text-decoration: none;
    transition: transform 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), border-color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), border-radius 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), box-shadow 0.2s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1);
    display: inline-block;
    position: relative;
    top: 0;
    /* box-shadow: 1px 1px 5px #ffffff40, 0 10px 20px -5px #2d3e504d; */
}

.beforehand {
    margin-block: 30px;
    padding: 1rem;
    text-align: center;
    border: solid 1px #ccc;
    border-radius: 5px;
    font-weight: 600;
}

.align-right {
    text-align: right;
}

.inilink {
    color: revert;
    text-decoration: revert;
}

.popup_dialog {
  /* padding: 10px; */
  padding: 0;
  border: none;
  outline: none;
  border-radius: 5px;
  /* box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.4); */
}
.popup_dialog::backdrop {
  /* background-color: rgba(0, 0, 0, 0.3); */
  background-color: rgba(0, 0, 0, 0.5);
}
.popup_dialog.pw-promo {
  background: linear-gradient(to bottom, #ffe28d, white 38%);
}
.popup_dialog header {
  position: relative;
}
.popup_dialog header .dform_header {
  background-color: var(--main-bg-color);
  margin: 0;
  padding: 1rem 2rem;
  font-family: "Noto Sans JP", sans-serif;
  color: white;
  /* for Paywall only */
}
.popup_dialog header .dform_header.pwd_header {
  background-color: #000000;
  text-align: center;
  font-weight: 400;
}
.popup_dialog header .dform_header.pwd_header_s {
  background-color: transparent;
  padding-block: 0.3rem;
  font-weight: 400;
  font-size: 0.75rem;
  font-family: inherit;
  color: inherit;
}
.popup_dialog.pw-promo_blk {
  background: #ffffff;
}
.popup_dialog.pw-promo_blk header .dform_header.pwd_header_s {
  background-color: #000000;
  color: #ffffff;
}
.popup_dialog.pw-promo_mono header .dform_header.pwd_header_s {
  background-color: #cbcbcb;
  color: #000;
}
.popup_dialog .dclose {
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  background: none;
  outline: none;
}
.popup_dialog .dclose .material-symbols-outlined {
  color: white;
}
.popup_dialog .dclose .material-symbols-outlined.darktxt {
  color: #333333;
}
.popup_dialog .form-wrap {
  width: 80svw;
  max-width: 1024px;
  min-width: 320px;
  padding: 30px 5svw;
}
.popup_dialog .form-wrap .dform {
  margin: 20px 2svw;
}
.popup_dialog .form-wrap .dform .d_desc {
  padding-block: 0 2rem;
}
.popup_dialog .form-wrap .dform .d_desc .post_topic {
  font-weight: bold;
  color: #0b377d;
  font-style: italic;
}
.popup_dialog .form-wrap .dform .d_desc .confmsg {
  visibility: hidden;
  font-weight: 600;
  margin-top: 0.25rem;
  color: #0b377d;
}
.popup_dialog .form-wrap .dform .attention {
  text-align: right;
  font-size: 0.75rem;
}
.popup_dialog .form-wrap .dform .exptxt {
  font-size: 0.8rem;
  font-weight: 400;
  color: rgba(0, 0, 0, 0.4);
}
.popup_dialog .form-wrap .dform input,
.popup_dialog .form-wrap .dform textarea,
.popup_dialog .form-wrap .dform button.resetbtn,
.popup_dialog .form-wrap .dform .text_area {
  position: relative;
  display: block;
  padding: 8px 12px;
  font-size: 14px;
  border: 1px solid rgba(18, 19, 49, 0.251);
  color: #121331;
  background-color: #fff;
  border-radius: 2px;
  margin-bottom: 1.333em;
  box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.102);
  transition: box-shadow 0.2s, color 0.2s, box-shadow 0.2s, border-color 0.2s;
}
.popup_dialog .form-wrap .dform input:focus,
.popup_dialog .form-wrap .dform textarea:focus,
.popup_dialog .form-wrap .dform button.resetbtn:focus,
.popup_dialog .form-wrap .dform .text_area:focus {
  outline: none;
}
.popup_dialog .form-wrap .dform input[type=text],
.popup_dialog .form-wrap .dform textarea {
  width: 100%;
}
.popup_dialog .form-wrap .dform input[type=text]:focus,
.popup_dialog .form-wrap .dform textarea:focus {
  border-color: #3898ec;
}
.popup_dialog .form-wrap .dform input[type=text]:user-invalid,
.popup_dialog .form-wrap .dform textarea:user-invalid {
  border-color: #d30000;
}
.popup_dialog .form-wrap .dform input,
.popup_dialog .form-wrap .dform button.resetbtn {
  height: 40px;
  line-height: 1.4;
}
.popup_dialog .form-wrap .dform input[type=file] {
  /* display: inline-block; */
  width: 60%;
  max-width: 480px;
  min-width: 360px;
  padding: 0;
  font-size: 0.8rem;
}
.popup_dialog .form-wrap .dform input[type=file]::file-selector-button {
  width: 30%;
  height: 100%;
  min-width: 150px;
  margin-right: 1rem;
  border: none;
  border-radius: 2px 0px 0px 2px;
  box-shadow: 1px 0 3px rgba(0, 0, 0, 0.25);
  transition: box-shadow 0.2s, background-color 0.2s;
  outline: none;
  cursor: pointer;
}
.popup_dialog .form-wrap .dform input[type=file]::file-selector-button:hover {
  background-color: rgb(218, 218, 218);
  box-shadow: 1px 0 3px rgba(0, 0, 0, 0.4);
}
.popup_dialog .form-wrap .dform input[type=file]::file-selector-button:active {
  background-color: rgb(203, 203, 203);
  box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.35);
}
.popup_dialog .form-wrap .dform input[type=file]:focus {
  border-color: rgba(18, 19, 49, 0.251);
}
.popup_dialog .form-wrap .dform input[type=file]:user-invalid {
  border-color: #d30000;
}
.popup_dialog .form-wrap .dform .previmgf {
  display: inline-flex;
  width: 80px;
  height: 80px;
  margin-left: 5%;
  margin-top: -1em;
  overflow: hidden;
  border: 1px solid rgba(18, 19, 49, 0.251);
  border-radius: 50px;
  box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.102);
}
.popup_dialog .form-wrap .dform .previmgf img {
  width: 100%;
  height: 100%;
  display: inline-block;
  object-fit: cover;
}
.popup_dialog .form-wrap .dform .filepara {
  margin-left: 0.7rem;
  font-size: 0.7rem;
}
.popup_dialog .form-wrap .dform #thread_descinp .previmgf {
  border-radius: 50px;
}
.popup_dialog .form-wrap .dform .ms-button {
  cursor: pointer;
}
.popup_dialog .form-wrap .dform .ms-button:active {
  border: unset;
}
.popup_dialog .form-wrap .dform .ms-button.submitbtn {
  border-color: #3898ec;
  background-color: #3898ec;
  border-radius: 2px;
  max-width: none;
  font-size: 1em;
  color: white;
}
.popup_dialog .form-wrap .dform .ms-button.submitbtn:active {
  border-color: #3178b6;
  background-color: #3178b6;
}
.popup_dialog .form-wrap .dform .ms-button.resetbtn:active {
  border-color: #ccc;
  background-color: #eaeaea;
}
.popup_dialog .form-wrap .dform .two-btn-row {
  grid-column-gap: 4%;
  grid-row-gap: 4%;
  justify-content: center;
  padding-top: 20px;
  display: flex;
}
.popup_dialog .form-wrap .dform blockquote {
  background-color: rgb(240, 240, 224);
  /* background-image: url("../images/quote.png");
              background-repeat: no-repeat;
              background-position: 10px 20px; */
  font-size: inherit;
  padding: 1rem 1.5rem;
}
.popup_dialog .form-wrap .dform blockquote .contributor {
  display: flex;
  align-items: center;
  column-gap: 1rem;
  margin-bottom: 1rem;
}
.popup_dialog .form-wrap .dform blockquote .contributor .pers_icon {
  width: 30px;
  height: 30px;
}
.popup_dialog .form-wrap .dform {
  /*.ce-toolbox .cdx-search-field {
    display: none;
  }*/
}
.popup_dialog .form-wrap .dform.conf input[type=text],
.popup_dialog .form-wrap .dform.conf input[type=file],
.popup_dialog .form-wrap .dform.conf textarea {
  border: none;
  background-color: #f9f9f9;
  box-shadow: none;
}
.popup_dialog .form-wrap .dform.conf input[type=file]::file-selector-button {
  visibility: hidden;
}
.popup_dialog .form-wrap .dform.conf textarea {
  height: max-content;
}
.popup_dialog .member-suggest-wrap {
  width: 50svw;
  max-width: 720px;
  min-width: 480px;
  padding-block: 20px;
  padding-inline: clamp(15px, 10svw, 100px);
}
.popup_dialog .member-suggest-wrap .d_leadblock {
  margin-bottom: 5px;
  border-bottom: solid 1px black;
  padding-bottom: 25px;
}
.popup_dialog .member-suggest-wrap .d_leadblock h4 {
  margin-bottom: 20px;
}
.popup_dialog .member-suggest-wrap .d_leadblock .feeblock {
  text-align: center;
  font-weight: 600;
  font-family: "Noto Sans JP", sans-serif;
  font-size: 1.2rem;
}
.popup_dialog .member-suggest-wrap .d_leadblock.pat3 {
  padding-bottom: 10px;
  border-bottom: none;
  font-size: 12px;
}
.popup_dialog .member-suggest-wrap .d_leadblock.pat3 .feeblock {
  width: max-content;
  margin-inline: auto;
  margin-bottom: 20px;
  padding: 1rem 1.5rem;
  border: solid 1px #3898ec;
  border-radius: 10px;
  font-size: 1.1rem;
}
.popup_dialog .member-suggest-wrap .d_leadblock.pat3 ul {
  padding-left: 2rem;
  font-weight: 600;
  margin-bottom: 0;
}
.popup_dialog .member-suggest-wrap .d_leadblock.pat3 .etc-front {
  position: relative;
  padding-inline: 2rem;
}
.popup_dialog .member-suggest-wrap .d_leadblock.pat3 .etc-front::before {
  content: "";
  position: relative;
  top: 1rem;
  left: 2rem;
  display: block;
  width: calc(100% - 5rem);
  border-top: dotted 1px #333;
}
.popup_dialog .member-suggest-wrap .primg_dv {
  padding-block: 15px;
}
.popup_dialog .member-suggest-wrap .d_desc {
  margin-bottom: 30px;
  font-size: 1rem;
}
.popup_dialog .member-suggest-wrap .d_desc p {
  margin-block: 20px;
}
.popup_dialog .member-suggest-wrap .ms-button.ms-is-form {
  max-width: 360px;
}
.popup_dialog.pw-promo .member-suggest-wrap {
  padding-top: 10px;
}
.popup_dialog .dialogft {
  padding: 0 25px 1.5rem;
  font-size: 0.8rem;
}
@media screen and (max-width: 767px) {
  .popup_dialog .dform_header {
    font-size: 16.5px;
  }
  .popup_dialog .form-wrap {
    width: 90svw;
    max-width: unset;
    min-width: unset;
    padding: 10px 3svw;
  }
  .popup_dialog .form-wrap .dform .d_desc {
    padding-bottom: 1rem;
  }
  .popup_dialog .form-wrap .dform input[type=file] {
    width: auto;
    max-width: unset;
    min-width: unset;
  }
  .popup_dialog .form-wrap .dform input[type=file]::file-selector-button {
    width: auto;
    min-width: unset;
  }
  .popup_dialog .form-wrap .dform blockquote {
    padding: 0.5rem;
  }
  .popup_dialog .form-wrap .dform .dform_part > .flexrow {
    display: block;
  }
  .popup_dialog .form-wrap .dform .dform_part > .flexrow #thread_img {
    width: 100%;
  }
  .popup_dialog .member-suggest-wrap {
    width: clamp(320px, 90svw, 540px);
    max-width: none;
    min-width: 0;
    padding: 30px 5svw;
  }
}
